RubyGems Navigation menu

github_api 0.4.10

Ruby wrapper that supports all of the GitHub API v3 methods(nearly 200). It's build in a modular way, that is, you can either instantiate the whole api wrapper Github.new or use parts of it e.i. Github::Repos.new if working solely with repositories is your main concern.

Versions:

  1. 0.18.2 - November 19, 2017 (141 KB)
  2. 0.18.1 - October 07, 2017 (141 KB)
  3. 0.17.0 - April 18, 2017 (140 KB)
  4. 0.16.0 - April 02, 2017 (139 KB)
  5. 0.15.0 - March 25, 2017 (137 KB)
  6. 0.4.10 - April 15, 2012 (157 KB)
Show all versions (90 total)

Runtime Dependencies (4):

  • faraday ~> 0.7.6
  • hashie ~> 1.2.0
  • multi_json ~> 1.0
  • oauth2 ~> 0.5.2
  • Development Dependencies (11):

  • bundler >= 0
  • cucumber >= 0
  • guard ~> 0.8.8
  • guard-cucumber = 0.7.4
  • guard-rspec = 0.5.7
  • rake >= 0
  • rspec >= 0
  • simplecov ~> 0.6.1
  • vcr ~> 2.0.0
  • webmock ~> 1.8.0
  • yajl-ruby ~> 1.1.0
  • Owners:

    Authors:

    • Piotr Murach

    SHA 256 checksum:

    6ec62a0f576758f8e750f83d2f38d3a0c60a0be44af99825ca99f7e3d673b82b

    Total downloads 2,825,832

    For this version 7,891

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    Licenses:

    N/A

    Required Ruby Version: None

    Links: